Permalink
Browse files

Remove 2.1.2 dependency and kick remarkable active record specs back …

…to life on Rails 2.3.4.
  • Loading branch information...
1 parent 3748960 commit f6a4d09877e36ea2c029dea59437086d2ed61689 @josevalim josevalim committed Sep 8, 2009
View
@@ -9,7 +9,7 @@ include FileUtils
REMARKABLE_GEMS = [
:remarkable,
:remarkable_activerecord,
- :remarkable_datamapper,
+ # :remarkable_datamapper,
:remarkable_rails
]
@@ -64,8 +64,7 @@ def localize(object, options = {})
require 'i18n'
rescue LoadError
require 'rubygems'
- # TODO Move to i18n gem as soon as it gets updated
- gem 'svenfuchs-i18n'
+ gem 'i18n'
require 'i18n'
end
@@ -18,7 +18,7 @@ end
########### Specs
-RAILS_VERSIONS = ['2.1.2', '2.2.2', '2.3.4']
+RAILS_VERSIONS = ['2.2.2', '2.3.4']
desc "Run the specs under spec with supported Rails versions"
task :pre_commit do
@@ -108,7 +108,6 @@ module ClassMethods
def describe(*args, &block)
if described_class && args.first.is_a?(Hash)
attributes = args.shift
-
connector = Remarkable.t "remarkable.active_record.describe.connector", :default => " and "
description = if self.describe_subject_attributes.blank?
@@ -130,7 +129,7 @@ def describe(*args, &block)
:key => translated_key.downcase, :value => value.inspect)
end
- description << pieces.join(connector)
+ description += pieces.join(connector)
args.unshift(description)
# Creates an example group, set the subject and eval the given block.
@@ -1,7 +1,5 @@
require File.expand_path(File.dirname(__FILE__) + '/spec_helper')
-RAILS_I18N = true
-
class Post
attr_accessor :published, :public, :deleted
@@ -1,7 +1,7 @@
# encoding: utf-8
require 'rubygems'
-RAILS_VERSION = ENV['RAILS_VERSION'] || '2.3.3'
+RAILS_VERSION = ENV['RAILS_VERSION'] || '2.3.4'
gem 'activesupport', RAILS_VERSION
require 'active_support'
@@ -1,10 +1,10 @@
# encoding: utf-8
require 'rubygems'
-RAILS_VERSION = ENV['RAILS_VERSION'] || '2.3.3'
DM_VERSION = '0.10.0'
-gem 'activesupport', RAILS_VERSION
+# TODO Remove ActiveSupport dependence
+gem 'activesupport', '2.3.4'
require 'active_support'
gem 'addressable'
@@ -22,11 +22,10 @@
gem 'dm-validations', DM_VERSION
require 'dm-validations'
-gem 'svenfuchs-i18n'
+# Require i18n by hand
+gem 'i18n'
require 'i18n'
-require 'pp' # DEBUG ONLY
-
ENV['SQLITE3_SPEC_URI'] ||= 'sqlite3::memory:'
ENV['ADAPTER'] = 'sqlite3'
@@ -20,7 +20,7 @@ end
########### Specs
-RAILS_VERSIONS = ['2.1.2', '2.2.2', '2.3.4']
+RAILS_VERSIONS = ['2.2.2', '2.3.4']
desc "Run the specs under spec with supported Rails versions"
task :pre_commit do
@@ -1,7 +1,7 @@
require 'rubygems'
RAILS_ENV = 'test'
-RAILS_VERSION = ENV['RAILS_VERSION'] || '2.3.3'
+RAILS_VERSION = ENV['RAILS_VERSION'] || '2.3.4'
# Load Rails
gem 'activesupport', RAILS_VERSION

0 comments on commit f6a4d09

Please sign in to comment.